#############################################################
[Launcher]

# Enable this to automatically start the launcher with windows.
# When enabling this, Steam will automatically cracked and
# you can use steam shortcut without opening SmartSteam first.
#
# To exit SmartSteam service from process, launch SmartSteamLauncher
# with -q options. See SmartSteam.txt for details.
AutoStart = 0


#############################################################
[Settings]

# Set your custom steam path, only set this if you put SmartSteam
# on different folder than steam folder.
# This can be path to steam folder or direct path to steam executable.
#SteamPath=C:\Program Files\Steam\

# Set custom client app, default is SteamUI.dll
ClientApp=SteamUI.dll

# Will show/hide Testapps in Games List
# Valid value is 0, 1, 2
# Use 0 to show all available applications
# Use 1 to show only steam master available application.
# Use 2 to subscribe everything but test apps. (Slow)
FilterTestApps = 1

# Will show installed apps only if enabled.
# Only works when FilterTestApps = 2
InstalledOnly = 0

# Will force apps to launch even it is outdated.
ForceLaunchApp = 1

# Will force steam to go offline mode.
ForceOffline = 0

# Required to allow other players without Account / Ticket join your server.
PatchValidation = 1

# Patch to use lobby features
PatchLobby = 1

# Patch CEG protected game, CEG will not using memory patch but patch the file physically. see also [CEG] sections
PatchCEG = 1

# Patch DLC, makes steam think that you own all DLC's
PatchDLC = 1

# This will disable all patch.
NoPatch = 0

# Will disable *.mdmp files creation. Disable this if you experienced crash.
DisableMinidumps = 1

# Disable Steam Error Reporter
DisableErrorReporter = 1

# Enable logging if you experienced crash.
Log = 0

# Disable all plugins
DisablePlugins = 0


#############################################################
# Subscription/App Subscription.
# Use this to subscribe/unsubscribe.
#
# [Subscription/AppSubscription]
#   SubsID/SubsName = 1/0
#
# Example to subscribe Zuma's Revenge! - Adventure:
# [Subscription]
#   122 = 1
#
# Example to unsubscribe Left 4 Dead using Application ID
# [AppSubscription]
#   500 = 0
#
#
[Subscription]
;61 = 0		; This will unsubscribe everything when FilterTestApps 1 is turned on!
1735 = 1	; Zuma's Revenge! - Adventure

198 = 0
268 = 0
352 = 0
353 = 0
355 = 0

[AppSubscription]
17750 = 0	; Obsidian Conflict
7200 = 0	; TrackMania United Forever: Star Edition


#############################################################
# CEG protected game exe : CEG protected file
[CEG]
left4dead2.exe:client.dll
iw4sp.exe:iw4sp.exe
iw4mp.exe:iw4mp.exe
Shogun2.exe:Shogun2.dll
;SamHD.exe:SamHD.exe
;SamHD_TSE.exe:SamHD_TSE.exe


#############################################################
# Lobby
[Lobby]
500 = 510
550 = 560
;10180 = 5
;10190 = 5
;18820 = 18800
10680 = 34120
42120 = 18800
21970 = 33310
41010 = 41015
42910 = 73050
72300 = 73050
55100 = 73050
91600 = 32210
18110 = 33310
18112 = 33310
34330 = 33310

#############################################################
# Do not save stats/achievements for the following AppId.
#
# SmartSteam will not change anything with stats and leave
# steamclient.dll to handle stats/achievements.
#
# Example to disable SmartSteam patch stats/achievements
# [NoSaveStats]
#   240 = 1
[NoSaveStats]
12900 = 1	; Audiosurf
630 = 1		; Alien Swarm
17510 = 1	; Age of Chivalry
17530 = 1	; D.I.P.R.I.P. Warm Up
17570 = 1	; Pirates, Vikings, and Knights II


#############################################################
# Do not patch for the following AppId.
# There are two valid values, 1 and 2.
#   1 = Disable all patch
#   2 = Disable steamclient.dll patch
#
# If you try to launch game and get Error code 51, try adding
# game app id here to disable patch.
#
# Example to disable SmartSteam patch in unreal tournament 3
# [NoPatch]
#   13210 = 1	; Disable all patch
#   13210 = 2	; Disable steamclient.dll patch only
#
[NoPatch]


#############################################################
#                Advanced Settings below:                   #
#############################################################
# DirectPatch
#   By using DirectPatch, you can patch
#   any exe/dll loaded by the games.
#
# Example:
#  [DirectPatch]
#    DllName.dll = 0xC106;E905000000000000;EB05000000000000
#    ExeName.exe = *;E905000000000000;EB05000000000000	;Wildcat
#
# Explaination:
#     DllName.dll is Dll to patch
#     C106 is the file offset            (Param 1)
#     E905000000000000 is original bytes (Param 2)
#     EB05000000000000 is patched bytes  (Param 3)
#  When original bytes doesn't match in the dll, no patch
#  will be made. You can use wildcat on offset parameter
#  to make DirectPatch search for original bytes.
#  Patch must be in hexadecimal.
#
[DirectPatch]
multiwinia.exe = 0x4ec49;750A5F32C05EC3;9090
Doom3.exe = 0x515fe;85C0750CC7866899;B02AB421
Doom3.exe = 0x633E0;B82C400000E8A66B;B001C208

#############################################################
# Enable non-Class C to join LAN server (Hamachi Support)
# Uncomment all lines below to enable this feature
#
;engine.dll = 0xc6c7;751B8B06688C292E;EB	;Source Dedicated Server, CSS
;engine.dll = 0x2ef8;751D8B068B88B800;EB	;Source 2007 Dedicated Server, tf2
;engine.dll = *;751D8B068B88B800;EB		;Source 2007 Dedicated Server, tf2 (Wildcat search, if above not work, use this one)
;engine.dll = 0x46ff6;751B8B4EFC8B5130;EB	;Left 4 Dead (May not work)
;sw.dll = 0x999eb;750A685858E601E9;EB		;HL1 Based engine (May not work)


#############################################################
# InjectDLL
#   You can inject any external DLLs to the created process
#   SmartSteam will load external DLLs even if NoPatch = 1.
#
# Example:
#  [InjectDll]
#    C:\MyDllName.dll
#    C:\MyDllName2.dll
#
[InjectDll]


#############################################################
# CDKey
#   This will add cd-key in registry
#
#  [CDKey]
#    AppID = CDKey
#
[CDKey]
; Other UT3 CD Key. [JTGU-CPAA-2WYP-X7YN, 7CW2-FJT3-7JNE-NFDE, Q5A9-YBCK-73XJ-G7ZY, RTZ7-CR5N-FBX7-PN6Z, Z3MP-VZ4B-6N33-DYBU, HGBP-NCU5-JBBY-GD4K, 88Z9-7RMH-64P4-7G8H, UGSG-PA3K-X6MG-QU8T, N6N5-23LG-3SEM-SRTX, RVX6-GMTQ-WKX6-6DH6]
13210 = RTZ7-CR5N-FBX7-PN6Z
